# 时限

> 原文： [https://docs.oracle.com/javase/tutorial/jndi/ops/timelimit.html](https://docs.oracle.com/javase/tutorial/jndi/ops/timelimit.html)

搜索的时间限制设置了搜索操作阻止等待答案的时间量的上限。当您不想等待太久的答案时，这非常有用。如果在完成搜索操作之前超过指定的时间限制，则将抛出 [`TimeLimitExceededException`](https://docs.oracle.com/javase/8/docs/api/javax/naming/TimeLimitExceededException.html)。

要设置搜索的时间限制，请将毫秒数传递给 [`SearchControls.setTimeLimit（）`](https://docs.oracle.com/javase/8/docs/api/javax/naming/directory/SearchControls.html#setTimeLimit-int-) 。以下 [`example`](examples/SearchTimeLimit.java) 将时间限制设置为 1 秒。

```
// Set the search controls to limit the time to 1 second (1000 ms)
SearchControls ctls = new SearchControls();
ctls.setTimeLimit(1000);

```

要使此特定示例超出其时间限制，您需要将其重新配置为使用慢速服务器或具有大量条目的服务器。或者，您可以使用其他策略使搜索时间超过 1 秒。

时间限制为零意味着没有设置时间限制，并且对目录的调用将无限期地等待答案。