# 连接管理

> 原文： [https://docs.oracle.com/javase/tutorial/jndi/ldap/connect.html](https://docs.oracle.com/javase/tutorial/jndi/ldap/connect.html)

JNDI 提供了一个用于访问命名和目录服务的高级接口。 JNDI [`Context`](https://docs.oracle.com/javase/8/docs/api/javax/naming/Context.html) 实例与底层网络连接之间的映射可能不是一对一的。只要保留了接口语义，服务提供者就可以自由共享和重用连接。应用程序开发人员通常不需要知道 `Context` 实例如何创建和使用连接的详细信息。当开发人员需要调整他的程序时，这些细节很有用。

本课程描述 LDAP 服务提供者如何使用连接。它描述了[何时创建连接](create.html)以及如何指定特殊连接参数，例如多个服务器和连接超时。本课程还介绍了如何在支持 LDAP 服务器的网络环境中动态发现和使用 LDAP 服务器。

必须最终关闭创建的连接。本课程包含一个由客户端和服务器描述[连接闭包](close.html)的部分。

最后，本课程向您展示如何使用[连接池](pool.html)来使使用许多短期连接的应用程序更有效。

* * *

**Note:** Information presented in this lesson are specific to LDAP service provider in the JDK. LDAP service providers from other vendors might not use the same policies for managing connections.

* * *