# 课程：了解套接字直接协议

> 原文： [https://docs.oracle.com/javase/tutorial/sdp/sockets/index.html](https://docs.oracle.com/javase/tutorial/sdp/sockets/index.html)

对于高性能计算环境，需要快速有效地在网络上移动数据的能力。这种网络通常被描述为需要高吞吐量和低延迟。 _ 高吞吐量 _ 是指可以长时间提供大量处理能力的环境。 _ 低延迟 _ 是指处理输入和提供输出之间的最小延迟，例如您在实时应用程序中所期望的。

在这些环境中，使用套接字流的传统网络在移动数据时可能会产生瓶颈。 InfiniBand（IB）于 1999 年由 [InfiniBand 贸易协会](http://www.infinibandta.org/)推出，旨在满足高性能计算的需求。 IB 最重要的特性之一是远程直接内存访问（RDMA）。 RDMA 可以将数据直接从一台计算机的内存移动到另一台计算机，绕过两台计算机的操作系统，从而显着提高性能。

套接字直接协议（SDP）是一种网络协议，旨在通过 InfiniBand 结构支持流连接。对于部署在 Solaris 操作系统（“Solaris OS”）和 Linux 操作系统上的应用程序，Java 平台标准版（“Java SE 平台”）的 JDK 7 版本引入了 SDP 支持。自 Solaris 10 5/08 起，Solaris OS 已支持 SDP 和 InfiniBand。在 Linux 上，InfiniBand 包称为 OFED（OpenFabrics Enterprise Distribution）。 JDK 7 版本支持 OFED 的 1.4.2 和 1.5 版本。