# JAXB 架构

> 原文： [https://docs.oracle.com/javase/tutorial/jaxb/intro/arch.html](https://docs.oracle.com/javase/tutorial/jaxb/intro/arch.html)

本节介绍 JAXB 处理模型中的组件和交互。

## 建筑概述

下图显示了构成 JAXB 实现的组件。

图：JAXB 架构概述

![JAXB Architecture Overview](img/856b2c51fd02a8ba33e26bfa20fdf1e1.jpg)

JAXB 实现包含以下体系结构组件：

*   模式编译器：将源模式绑定到一组模式派生的程序元素。绑定由基于 XML 的绑定语言描述。
*   模式生成器：将一组现有程序元素映射到派生模式。映射由程序注释描述。
*   绑定运行时框架：提供解组（读取）和编组（写入）操作，以使用模式派生或现有程序元素访问，操作和验证 XML 内容。

## JAXB 绑定过程

下图显示了 JAXB 绑定过程中发生的情况。

图：JAXB 绑定过程中的步骤

![JAXB Binding Process](img/7ccabaf0d5a5f0b0a0755e9d68cbf335.jpg)

JAXB 数据绑定过程中的一般步骤是：

1.  生成类：XML 模式用作 JAXB 绑定编译器的输入，以根据该模式生成 JAXB 类。
2.  编译类：必须编译所有生成的类，源文件和应用程序代码。
3.  Unmarshal：根据源模式中的约束编写的 XML 文档由 JAXB 绑定框架解组。请注意，JAXB 还支持从文件和文档以外的源解组 XML 数据，例如 DOM 节点，字符串缓冲区，SAX 源等。
4.  生成内容树：解组过程生成从生成的 JAXB 类实例化的数据对象的内容树;此内容树表示源 XML 文档的结构和内容。
5.  验证（可选）：解组过程涉及在生成内容树之前验证源 XML 文档。请注意，如果在步骤 6 中修改内容树，则还可以使用 JAXB 验证操作在将内容编组回 XML 文档之前验证更改。
6.  流程内容：客户端应用程序可以使用绑定编译器生成的接口来修改 Java 内容树表示的 XML 数据。
7.  Marshal：已处理的内容树被编组到一个或多个 XML 输出文档中。可以在编组之前验证内容。

## 关于解组的更多信息

Unmarshalling 为客户端应用程序提供了将 XML 数据转换为 JAXB 派生的 Java 对象的能力。

## 更多关于编组

编组为客户端应用程序提供了将源自 JAXB 的 Java 对象树转换为 XML 数据的能力。

默认情况下， `Marshaller` 在生成 XML 数据时使用 UTF-8 编码。

在编组之前，客户端应用程序不需要验证 Java 内容树。也不要求 Java 内容树在其原始模式方面有效，以将其编组为 XML 数据。

## 更多关于验证

验证是验证 XML 文档是否满足模式中表达的所有约束的过程。 JAXB 1.0 在 unmarshal 时提供了验证，并且还在 JAXB 内容树上启用了按需验证。 JAXB 2.0 仅允许在 unmarshal 和 marshal 时进行验证。 Web 服务处理模型在读取数据时要松懈，严格要写出来。为了满足该模型，验证被添加到编组时间，以便用户在 JAXB 表单中修改文档时可以确认它们没有使 XML 文档无效。