# 课程：面向对象的编程概念

> 原文： [https://docs.oracle.com/javase/tutorial/java/concepts/index.html](https://docs.oracle.com/javase/tutorial/java/concepts/index.html)

如果您以前从未使用过面向对象的编程语言，那么在开始编写任何代码之前，您需要学习一些基本概念。本课将向您介绍对象，类，继承，接口和包。每个讨论都关注这些概念如何与现实世界相关，同时介绍 Java 编程语言的语法。

## [什么是对象？](object.html)

对象是相关状态和行为的软件包。软件对象通常用于模拟您在日常生活中发现的真实世界对象。本课程解释了如何在对象中表示状态和行为，介绍数据封装的概念，并解释以这种方式设计软件的好处。

## [什么是类？](class.html)

类是创建对象的蓝图或原型。本节定义了一个模拟现实世界对象的状态和行为的类。它专注于基础知识，展示了即使是一个简单的类也可以清晰地模拟状态和行为。

## [什么是继承？](inheritance.html)

继承为组织和构建软件提供了强大而自然的机制。本节介绍了类如何从超类继承状态和行为，并解释了如何使用 Java 编程语言提供的简单语法从另一个类派生一个类。

## [什么是接口？](interface.html)

接口是一个类和外部世界之间的契约。当类实现接口时，它承诺提供该接口发布的行为。本节定义了一个简单的接口，并解释了实现它的任何类的必要更改。

## [什么是包？](package.html)

包是用于以逻辑方式组织类和接口的命名空间。将代码放入包中可以使大型软件项目更易于管理。本节解释了这有用的原因，并向您介绍 Java 平台提供的应用程序编程接口（API）。

## [问题和练习：面向对象的编程概念](QandE/questions.html)

使用本节中提供的问题和练习来测试您对对象，类，继承，接口和包的理解。