# 路径：基本课程

> 原文： [https://docs.oracle.com/javase/tutorial/essential/index.html](https://docs.oracle.com/javase/tutorial/essential/index.html)

这条路径讨论了 Java 平台中对大多数程序员来说必不可少的类。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **例外**](exceptions/index.html) 解释了异常机制以及它如何用于处理错误和其他异常情况。本课程描述了异常是什么，如何抛出和捕获异常，一旦捕获异常后如何处理异常，以及如何使用异常类层次结构。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **基本 I / O **](io/index.html) 涵盖用于基本输入和输出的 Java 平台类。它主要关注 _I / O 流 _，这是一个强大的概念，可以大大简化 I / O 操作。本课程还介绍了序列化，它允许程序将整个对象写入流并再次读回。然后，本课程将介绍一些文件系统操作，包括随机访问文件。最后，它简要介绍了新 I / O API 的高级功能。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **并发**](concurrency/index.html) 解释了如何编写同时执行多个任务的应用程序。 Java 平台的设计初衷是为了支持并发编程，在 Java 编程语言和 Java 类库中提供基本的并发支持。从 5.0 版开始，Java 平台还包含高级并发 API。本课程介绍了平台的基本并发支持，并总结了`java.util.concurrent`包中的一些高级 API。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **平台环境**](environment/index.html) 由底层操作系统，Java 虚拟机，类库以及启动应用程序时提供的各种配置数据定义。本课程描述了应用程序用于检查和配置其平台环境的一些 API。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **正则表达式**](regex/index.html) 是一种基于集合中每个字符串共享的共同特征来描述一组字符串的方法。它们可用于搜索，编辑或操作文本和数据。正则表达式的复杂程度各不相同，但是一旦理解了它们的构造基础，您就能够解密（或创建）任何正则表达式。本课程教授`java.util.regex` API 支持的正则表达式语法，并提供了几个工作示例来说明各种对象如何交互。