# `try`块

> 原文： [https://docs.oracle.com/javase/tutorial/essential/exceptions/try.html](https://docs.oracle.com/javase/tutorial/essential/exceptions/try.html)

构造异常处理程序的第一步是封装可能在`try`块中引发异常的代码。通常，`try`块看起来如下所示：

```
try {
    code
}
catch and finally blocks . . .

```

标记为 `_ 代码 _` 的示例中的段包含一个或多个可能引发异常的合法代码行。 （`catch`和`finally`块将在接下来的两个小节中介绍。）

要从`ListOfNumbers`类为`writeList`方法构造异常处理程序，请在`try`块中包含`writeList`方法的异常抛出语句。有不止一种方法可以做到这一点。您可以将可能引发异常的每行代码放在其自己的`try`块中，并为每个代码提供单独的异常处理程序。或者，您可以将所有`writeList`代码放在一个`try`块中，并将多个处理程序与其关联。以下列表对整个方法使用一个`try`块，因为所讨论的代码非常短。

```
private List<Integer> list;
private static final int SIZE = 10;

public void writeList() {
    PrintWriter out = null;
    try {
        System.out.println("Entered try statement");
        out = new PrintWriter(new FileWriter("OutFile.txt"));
        for (int i = 0; i < SIZE; i++) {
            out.println("Value at: " + i + " = " + list.get(i));
        }
    }
    catch and finally blocks  . . .
}

```

如果`try`块中发生异常，则该异常由与之关联的异常处理程序处理。要将异常处理程序与`try`块关联，必须在其后放置一个`catch`块;下一节， [catch Blocks](catch.html) ，向您展示如何。