# 什么是包？

> 原文： [https://docs.oracle.com/javase/tutorial/java/concepts/package.html](https://docs.oracle.com/javase/tutorial/java/concepts/package.html)

包是一个命名空间，用于组织一组相关的类和接口。从概念上讲，您可以将包视为与计算机上的不同文件夹类似。您可以将 HTML 页面保留在一个文件夹中，将图像保存在另一个文件夹中，将脚本或应因为用 Java 编程语言编写的软件可以由数百个或 _ 数千 _ 的各个类组成，所以通过将相关的类和接口放入包来保持组织是有意义的。

Java 平台提供了一个适合在您自己的应用程序中使用的庞大的类库（一组包）。该库称为“应用程序编程接口”，简称“API”。它的包代表了最常用于通用编程的任务。例如，`String`对象包含字符串的状态和行为; `File`对象允许程序员轻松创建，删除，检查，比较或修改文件系统上的文件; `Socket`对象允许创建和使用网络套接字;各种 GUI 对象控制按钮和复选框以及与图形用户界面相关的任何其他内容。有数以千计的课程可供选择。这使程序员可以专注于特定应用程序的设计，而不是使其工作所需的基础结构。

[Java 平台 API 规范](https://docs.oracle.com/javase/8/docs/api/index.html)包含 Java SE 平台提供的所有包，接口，类，字段和方法的完整列表。在浏览器中加载页面并为其添加书签。作为程序员，它将成为您最重要的参考文档。