# 常见的 Java Web Start 问题

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/webstart/problems.html](https://docs.oracle.com/javase/tutorial/deployment/webstart/problems.html)

本节介绍在开发和部署 Java Web Start 应用程序时可能遇到的一些常见问题。每个问题都列出了可能的原因和解决方案。

**问题：**我的浏览器以纯文本形式显示应用程序的 Java 网络启动协议（JNLP）文件。

最有可能的是，您的 Web 服务器不知道 JNLP 文件的正确 MIME 类型。有关详细信息，请参阅[设置 Web 服务器](settingUpWebServerMimeType.html)部分。

此外，如果您使用的是代理服务器，请确保通过更新 Web 服务器上资源的时间戳来返回文件的更新版本，以便代理更新其缓存。

**问题：**当我尝试启动 JNLP 文件时，出现以下错误：

```
MissingFieldException[ The following required field is missing from the launch
  file: (<application-desc>|<applet-desc>|<installer-desc>|<component-desc>)]
        at com.sun.javaws.jnl.XMLFormat.parse(Unknown Source)
        at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
        at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
        at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source)
        at com.sun.javaws.Main.launchApp(Unknown Source)
        at com.sun.javaws.Main.continueInSecureThread(Unknown Source)
        at com.sun.javaws.Main.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

```

当 XML 格式错误时，通常会发生此错误。您可以直观地查看代码，但是在文件上运行 XML 语法检查程序会更容易。 （NetBeans IDE 和 jEdit 都提供 XML 语法检查器。）

但是，在其他情况下可能会发生此错误，而上述情况是由格式良好的 XML 文件中的以下行引起的：

```
<description kind="short">Demonstrates choosing the drop location in the target <code>TransferHandler</code></description>

```

该错误是由非法嵌入的`code`标记引起的。