# 系统属性

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/doingMoreWithRIA/properties.html](https://docs.oracle.com/javase/tutorial/deployment/doingMoreWithRIA/properties.html)

本主题列出了富 Internet 应用程序（RIA）可以访问的系统属性，这些应用程序仅限于安全沙箱，并且在使用或不使用 Java 网络启动协议（JNLP）的情况下启动。沙箱 RIA 无法访问某些系统属性。

## 所有 RIA 都可以访问安全系统属性

所有 RIA 都可以检索以下安全系统属性：

*   ``java.class.version``
*   ``java.vendor``
*   ``java.vendor.url``
*   ``java.version``
*   ``os.name``
*   ``os.arch``
*   ``os.version``
*   ``file.separator``
*   ``path.separator``
*   ``line.separator``

## 使用 JNLP 启动的 RIA 可访问的安全系统属性

使用 JNLP 启动的 RIA 可以设置和检索以下安全属性：

*   `awt.useSystemAAFontSettings`
*   `http.agent`
*   `http.keepAlive`
*   `java.awt.syncLWRequests`
*   `java.awt.Window.locationByPlatform`
*   `javaws.cfg.jauthenticator`
*   `javax.swing.defaultlf`
*   `sun.awt.noerasebackground`
*   `sun.awt.erasebackgroundonresize`
*   `sun.java2d.d3d`
*   `sun.java2d.dpiaware`
*   `sun.java2d.noddraw`
*   `sun.java2d.opengl`
*   `swing.boldMetal`
*   `swing.metalTheme`
*   `swing.noxp`
*   `swing.useSystemFontSettings`

## 禁止的系统属性

Sandbox RIA 无法访问以下系统属性：

*   `java.class.path`
*   `java.home`
*   `user.dir`
*   `user.home`
*   `user.name`