# 部署 Java Web Start 应用程序

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/createWebStartLaunchButtonFunction.html](https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/createWebStartLaunchButtonFunction.html)

您可以使用 [Deployment Toolkit](https://www.java.com/js/deployJava.txt) 脚本的`createWebStartLaunchButton`功能部署 Java Web Start 应用程序。使用 Java 网络启动协议（JNLP）启动 Java Web Start 应用程序`createWebStartLaunchButton`函数为 Java Web Start 应用程序的 JNLP 文件生成链接（HTML 锚标记 - `&lt;a&gt;`）。

生成的锚标记是 Java Web Start 应用程序的![Launch button](img/4707a69a17729d71c56b2bdbbb4cc61c.jpg)按钮。当最终用户单击“启动”按钮时，Deployment Toolkit 脚本确保安装了相应的 Java Runtime Environment（JRE）软件，然后启动 Java Web Start 应用程序。

* * *

**Note:** Depending on the type of browser, you might be unable to view the HTML generated by the Deployment Toolkit script when you try to view the source for the web page. To view the generated HTML, try saving the HTML page after it has been loaded, or use a tool such as Firebug (a Mozilla Firefox add-on).

* * *

* * *

**Note:** If the client does not have the required minimum version of the JRE software, the Deployment Toolkit script redirects the browser to `http://www.java.com` to allow users to download the latest JRE software.

* * *

**功能签名：** `createWebStartLaunchButton: function(jnlp, minimumVersion)`或`createWebStartLaunchButton: function(jnlp)`

参数：

*   `jnlp` - 包含 Java Web Start 应用程序部署信息的 JNLP 文件的 URL。此 URL 应为绝对路径。
*   `minimumVersion` - 运行此应用程序所需的最低版本的 JRE 软件

用法：

*   指定运行应用程序所需的最低版本 JRE 软件

    ```
    &lt;script src="https://www.java.com/js/deployJava.js"&gt;&lt;/script&gt;
    &lt;script&gt;
        var url = "http://java.sun.com/javase/technologies/desktop/javawebstart/apps/notepad.jnlp";
        deployJava.createWebStartLaunchButton(url, '1.6.0');
    &lt;/script&gt;

    ```

*   Enabling Java Web Start application to run on any JRE software version

    如果您的应用程序没有最低 JRE 软件版本要求，请使用`createWebStartLaunchButton: function(jnlp)`功能。

* * *

**Note:** When deploying by using any of the previously described `createWebStartLaunchButton` functions, you must specify an absolute codebase in the Java Web Start application's JNLP file. This enables the Java Web Start application to be launched from the command line with the `javaws <path/to/local JNLP file>` command.

* * *