# 检查客户端 JRE 软件版本

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/jreVersionCheck.html](https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/jreVersionCheck.html)

检查客户端计算机上是否有特定版本的 Java Runtime Environment（JRE）软件有很多原因。例如，您可能希望启动不同版本的富 Internet 应用程序（RIA），或者根据客户端的 JRE 软件版本将用户重定向到其他页面。

使用 Deployment Toolkit 脚本的`versionCheck`函数检查客户端上是否安装了特定版本或范围的 JRE 版本。

**功能签名：** `versionCheck: function(versionPattern)`

参数：

*   `versionPattern` - 指定要检查的版本的版本或范围的字符串，例如“1.4”，“1.5.0 *”（1.5.x 系列）和“1.6.0_02 +”（任何大于或等于的版本）到 1.6.0_02）。

**用法：**根据客户端的 JRE 软件版本创建不同的用户体验

在此示例中，仅当客户端上的 JRE 软件版本大于或等于 1.6 时，才会为记事本应用程序创建“启动”按钮。如果没有，浏览器将重定向到`oracle.com`。

```

<script src="https://www.java.com/js/deployJava.js"></script>
<script>
    if (deployJava.versionCheck('1.6+')) {            
        var url = "https://docs.oracle.com/javase/tutorialJWS/deployment/webstart/examples/Notepad.jnlp";

        <!-- you can also invoke deployJava.runApplet here -->
        deployJava.createWebStartLaunchButton(url, '1.6.0'); 
    } else {
        document.location.href="http://oracle.com";
    }
</script>         

```

* * *

**Note:** Depending on the client's operating system and version of the Java platform, you might be able to verify version information for JRE software at the major version level (for example, 1.6) or at a finer update level (for example, 1.6.0_10).

* * *