# 部署最佳实践

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/bestPractices.html](https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/bestPractices.html)

您可以使用本主题中描述的最佳实践来改善富 Internet 应用程序（RIA）的用户体验。

*   使用来自认可的证书颁发机构的证书对 RIA 进行签名。确保所有工件都已签名，并且证书尚未过期。有关签名的信息，请参阅[签名和验证 JAR 文件](../jar/signindex.html)。
*   请求所需的最低权限级别。如果 RIA 不要求不受限制地访问用户的系统，请将权限级别指定为沙箱。有关更多安全准则，请参阅富 Internet 应用程序中的[安全性。](../doingMoreWithRIA/security.html)
*   优化 JAR 文件和相关资源的大小，以便您的 RIA 可以快速加载。有关优化技巧，请参见[缩短下载时间](../deploymentInDepth/reducingDownloadTime.html)。
*   启用版本下载协议并使用后台更新检查以使 RIA 快速启动。请参阅[避免不必要的更新检查](../deploymentInDepth/avoidingUnnecessaryUpdateChecks.html)以了解有关版本下载协议和更新检查的更多信息。
*   确保客户端具有所需的 Java Runtime Environment 软件版本。有关如何将 Deployment Toolkit 脚本用于此目的的详细信息，请参见[确保存在 JRE 软件](../deploymentInDepth/ensuringJRE.html)。
*   将 applet 的 JNLP 文件的内容嵌入`&lt;applet&gt;`标记中，以避免从网络加载 JNLP 文件。此功能是在 Java SE 7 发行版中引入的。请参阅[在 Applet 标签](../deploymentInDepth/embeddingJNLPFileInWebPage.html)中嵌入 JNLP 文件，以了解如何在网页中嵌入 applet 的 JNLP 文件的内容。
*   如果可能，请预加载 Java Web Start 应用程序。如果您计划在具有某些管理控制权的企业中将 RIA 部署为 Java Web Start 应用程序，则可以将应用程序预加载到各种客户端，以便缓存并准备使用它。使用以下命令预加载 Java Web Start 应用程序：

    ```
     javaws -import -silent &lt; jnlp url&gt;  
    ```