# 确保 JRE 软件的存在

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/ensuringJRE.html](https://docs.oracle.com/javase/tutorial/deployment/deploymentInDepth/ensuringJRE.html)

富 Internet 应用程序（RIA）通常需要在客户端计算机上存在最低版本的 Java Runtime Environment（JRE）软件。部署 RIA 时，您需要确保客户端计算机具有所需的 JRE 软件版本，以便您的 RIA 能够正常运行。使用 Deployment Toolkit 脚本，您至少有两种方法来处理此要求。

*   您可以在用户访问您的网站后立即检查客户端 JRE 软件的版本，并在必要时安装最新版本。
*   您可以让用户浏览网站，并仅在他们尝试使用您的 RIA 时检查并安装最新的 JRE。

## 用户访问您的网站时检查并安装最新的 JRE 软件

以下示例检查用户是否至少安装了版本 1.6.0_13 的 JRE 软件。如果没有，代码将安装最新的 JRE 软件。请参阅代码中的内联注释。

```
<script src="https://www.java.com/js/deployJava.js"></script>
<script>

    // check if current JRE version is greater than 1.6.0 
    alert("versioncheck " + deployJava.versionCheck('1.6.0_10+'));
    if (deployJava.versionCheck('1.6.0_10+') == false) {                   
        userInput = confirm(
            "You need the latest Java(TM) Runtime Environment. " +
            "Would you like to update now?");        
        if (userInput == true) {  

            // Set deployJava.returnPage to make sure user comes back to 
            // your web site after installing the JRE
            deployJava.returnPage = location.href;

            // Install latest JRE or redirect user to another page to get JRE
            deployJava.installLatestJRE(); 
        }
    }
</script>

```

## 仅在用户尝试使用您的 RIA 时安装正确的 JRE 软件

在`runApplet`或`createWebStartLaunchButton`功能中指定 JRE 软件的最低版本时，Deployment Toolkit 脚本会确保在运行 RIA 之前客户端上存在所需版本的 JRE 软件。

使用`runApplet`功能部署 applet，如以下示例所示。 `runApplet`函数的最后一个参数是运行 applet 所需的最低版本（版本 1.6）。

```

<script src="https://www.java.com/js/deployJava.js"></script>
<script>
    var attributes = { code:'components.DynamicTreeApplet',
        width:300, height:300};
    var parameters = {jnlp_href: 'dynamictree_applet.jnlp'};
    deployJava.runApplet(attributes, parameters, '1.6');
</script>

```

要部署 Java Web Start 应用程序，请使用带有正确最小版本参数（版本 1.6）的`createWebStartLaunchButton`功能。

```
<script src="https://www.java.com/js/deployJava.js"></script>
<script>
    var url = "dynamictree_applet.jnlp";
    deployJava.createWebStartLaunchButton(url, '1.6.0');
</script>

```

`runApplet`和`createWebStartLaunchButton`功能检查客户端的 JRE 软件版本。如果未安装最低版本，则这些功能将安装最新版本的 JRE 软件。