# 提供默认参数

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/selfContainedApps/defaultarg.html](https://docs.oracle.com/javase/tutorial/deployment/selfContainedApps/defaultarg.html)

启动应用程序时，会将参数传递给 Java 应用程序。可以使用在未指定参数时使用的默认参数来设置自包含应用程序。 `&lt;fx:argument&gt;`元素用于定义参数。通过为每个参数添加`&lt;fx:argument&gt;`元素，可以传递多个参数。参见[&lt; fx：argument&gt;](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/javafx_ant_task_reference.html#JSDPG528) 了解有关此元素的信息。

设置[使用文件关联](../selfContainedApps/fileassociation.html)中描述的文件关联演示使用与应用程序捆绑在一起的示例文件的名称作为默认参数。

`build.xml`文件中`&lt;fx:deploy&gt;`任务中的以下代码显示了如何定义默认参数：

```
<fx:application id="fileassociationdemo"
                name="File Association Demo"
                mainClass="${main.class}"
                version="1.0">
    <fx:argument>sample.js</fx:argument>
</fx:application>

```

有关完整的构建代码，请参见 [`build.xml`](examples/packager_FileAssociations/build.xml) 。

您可以从[自包含应用程序示例](../selfContainedApps/examplesIndex.html)下载文件关联演示的源文件。

## 其他资源

有关默认参数的更多信息，请参阅[将参数传递给自包含应用程序](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/self-contained-packaging.html#JSDPG995)。

有关 JavaFX Ant 参数的更多信息，请参见 [JavaFX Ant 任务参考](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/javafx_ant_task_reference.html)。