# 使用 JAR 文件：基础知识

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/jar/basicsindex.html](https://docs.oracle.com/javase/tutorial/deployment/jar/basicsindex.html)

JAR 文件以 ZIP 文件格式打包，因此您可以将它们用于无损数据压缩，归档，解压缩和归档解包等任务。这些任务是 JAR 文件最常见的用途，您只需使用这些基本功能即可实现许多 JAR 文件优势。

即使您想利用 JAR 文件格式提供的高级功能（如电子签名），您首先需要熟悉基本操作。

要使用 JAR 文件执行基本任务，请使用 Java Archive Tool 作为 Java Development Kit（JDK）的一部分提供。因为使用 `jar` 命令调用 Java Archive 工具，所以本教程将其称为“Jar 工具”。

作为本节中介绍的一些主题的概要和预览，下表总结了常见的 JAR 文件操作：

**Common JAR file operations**

| 手术 | 命令 |
| --- | --- |
| 创建 JAR 文件 | `jar cf _jar 文件输入文件 _` |
| 查看 JAR 文件的内容 | `jar tf _jar 文件 _` |
| 提取 JAR 文件的内容 | `jar xf _jar 文件 _` |
| 从 JAR 文件中提取特定文件 | `jar xf _jar 文件存档文件 _` |
| 运行打包为 JAR 文件的应用程序（需要 [`Main-class`](appman.html)清单头） | `java -jar _app.jar_` |
| 调用打包为 JAR 文件的 applet |  |

```
&lt; applet code =  AppletClassName.class  archive =“ JarFileName.jar ”width =  width  height = height &gt; &LT; / applet 的&GT; 
```

本节介绍如何执行最常见的 JAR 文件操作，并提供每个基本功能的示例：

## [创建 JAR 文件](build.html)

本节介绍如何使用 Jar 工具将文件和目录打包到 JAR 文件中。

## [查看 JAR 文件的内容](view.html)

您可以显示 JAR 文件的目录，以查看它包含的内容，而无需实际解压缩 JAR 文件。

## [提取 JAR 文件的内容](unpack.html)

您可以使用 Jar 工具解压缩 JAR 文件。在提取文件时，Jar 工具会复制所需的文件并将它们写入当前目录，从而重现文件在存档中的目录结构。

## [更新 JAR 文件](update.html)

本节介绍如何通过修改其清单或添加文件来更新现有 JAR 文件的内容。

## [运行 JAR 打包软件](run.html)

本节介绍如何调用和运行 JAR 文件中打包的 applet 和应用程序。

## 其他参考文献

JDK 的文档包括 Jar 工具的参考页面：

*   [Windows 平台的 Jar 工具参考](https://docs.oracle.com/javase/8/docs/technotes/tools/windows/jar.html)
*   [基于 UNIX 平台的 Jar 工具参考](https://docs.oracle.com/javase/8/docs/technotes/tools/unix/jar.html)