# 查看 JAR 文件的内容

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/jar/view.html](https://docs.oracle.com/javase/tutorial/deployment/jar/view.html)

查看 JAR 文件内容的命令的基本格式是：

```
jar tf jar-file

```

让我们看看这个命令中使用的选项和参数：

*   `t` 选项表示您要查看 JAR 文件内容的 _ 表 _。
*   `f` 选项表示在命令行中指定要查看其内容的 JAR 文件。
*   `jar 文件`参数是要查看其内容的 JAR 文件的路径和名称。

`t` 和 `f` 选项可以按任意顺序出现，但它们之间不能有任何空格。

此命令将 JAR 文件的目录显示为 `stdout` 。

您可以选择添加详细选项 `v` ，以在输出中生成有关文件大小和上次修改日期的其他信息。

## 一个例子

让我们使用 Jar 工具列出我们在上一节中创建的 `TicTacToe.jar` 文件的内容：

```
jar tf TicTacToe.jar

```

此命令将 JAR 文件的内容显示为 `stdout` ：

```
META-INF/MANIFEST.MF
TicTacToe.class
audio/
audio/beep.au
audio/ding.au
audio/return.au
audio/yahoo1.au
audio/yahoo2.au
images/
images/cross.gif
images/not.gif

```

JAR 文件包含 `TicTacToe` 类文件以及音频和图像目录，如预期的那样。输出还显示 JAR 文件包含默认清单文件 `META-INF / MANIFEST.MF` ，它由 JAR 工具自动放入存档中。有关更多信息，请参阅[了解默认清单](defman.html)部分。

无论您使用的平台或操作系统如何，所有路径名都以正斜杠显示。 JAR 文件中的路径始终是相对的;你永远不会看到以 `C：`开头的路径。

如果您使用 `v` 选项，JAR 工具将显示其他信息：

```
jar tvf TicTacToe.jar

```

例如，TicTacToe JAR 文件的详细输出看起来类似于：

```
    68 Thu Nov 01 20:00:40 PDT 2012 META-INF/MANIFEST.MF
   553 Mon Sep 24 21:57:48 PDT 2012 TicTacToe.class
  3708 Mon Sep 24 21:57:48 PDT 2012 TicTacToe.class
  9584 Mon Sep 24 21:57:48 PDT 2012 TicTacToe.java
     0 Mon Sep 24 21:57:48 PDT 2012 audio/
  4032 Mon Sep 24 21:57:48 PDT 2012 audio/beep.au
  2566 Mon Sep 24 21:57:48 PDT 2012 audio/ding.au
  6558 Mon Sep 24 21:57:48 PDT 2012 audio/return.au
  7834 Mon Sep 24 21:57:48 PDT 2012 audio/yahoo1.au
  7463 Mon Sep 24 21:57:48 PDT 2012 audio/yahoo2.au
   424 Mon Sep 24 21:57:48 PDT 2012 example1.html
     0 Mon Sep 24 21:57:48 PDT 2012 images/
   157 Mon Sep 24 21:57:48 PDT 2012 images/cross.gif
   158 Mon Sep 24 21:57:48 PDT 2012 images/not.gif

```