# 使用清单文件：基础知识

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/jar/manifestindex.html](https://docs.oracle.com/javase/tutorial/deployment/jar/manifestindex.html)

JAR 文件支持广泛的功能，包括电子签名，版本控制，封装密封等。什么赋予 JAR 文件这种多功能性？答案是 JAR 文件的 _ 清单 _。

清单是一个特殊文件，可以包含有关 JAR 文件中打包的文件的信息。通过定制清单包含的此“元”信息，您可以启用 JAR 文件以满足各种用途。

本课将解释清单文件的内容，并向您展示如何使用它，并提供基本功能的示例：

## [了解默认清单](defman.html)

创建 JAR 文件时，会自动创建默认清单。本节介绍默认清单。

## [修改清单文件](modman.html)

本节介绍修改清单文件的基本方法。后面的部分演示了您可能想要进行的具体修改。

## [设置应用程序的入口点](appman.html)

本节介绍如何使用清单文件中的 `Main-Class` 标头来设置应用程序的入口点。

## [将类添加到 JAR 文件的类路径](downman.html)

本节介绍如何在清单文件中使用 `Class-Path` 标头，以便在运行 applet 或应用程序时将其他 JAR 文件中的类添加到类路径中。

## [设置包版本信息](packageman.html)

本节介绍如何在清单文件中使用程序包版本标头。

## [JAR 文件中的密封包](sealman.html)

本节介绍如何通过修改清单文件来密封 JAR 文件中的包。

## [使用清单属性增强安全性](secman.html)

本节介绍如何使用清单属性来提高 applet 或 Java Web Start 应用程序的安全性。

## 附加信息

清单格式的[规范](https://docs.oracle.com/javase/8/docs/technotes/guides/jar/jar.html#JARManifest)是在线 JDK 文档的一部分。