# 使用清单属性增强安全性

> 原文： [https://docs.oracle.com/javase/tutorial/deployment/jar/secman.html](https://docs.oracle.com/javase/tutorial/deployment/jar/secman.html)

以下 JAR 文件清单属性可用于帮助确保 applet 或 Java Web Start 应用程序的安全性。只需要`权限`属性。

*   `权限`属性用于确保应用程序仅请求用于调用应用程序的 applet 标记或 JNLP 文件中指定的权限级别。使用此属性可帮助防止某人重新部署使用您的证书签名并在不同权限级别运行它的应用程序。

    主 JAR 文件的清单中需要此属性。有关详细信息，请参阅 Java 平台标准版部署指南中的[权限属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG896)。

*   `Codebase` 属性用于确保 JAR 文件的代码库仅限于特定域。使用此属性可防止某人出于恶意目的在其他网站上重新部署您的应用程序。有关详细信息，请参阅 Java 平台标准版部署指南中的[代码库属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG897)。

*   `Application-Name` 属性用于提供已签名应用程序的安全提示中显示的标题。有关详细信息，请参阅 Java 平台标准版部署指南中的[应用程序名称属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG899)。

*   `Application-Library-Allowable-Codebase` 属性用于标识应该找到您的应用程序的位置。当 JAR 文件位于与 JNLP 文件或 HTML 页面不同的位置时，使用此属性可减少安全提示中显示的位置数。有关详细信息，请参阅 Java 平台标准版部署指南中的 [Application-Library-Allowable-Codebase 属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG900)。

*   `Caller-Allowable-Codebase` 属性用于标识 JavaScript 代码可以从中调用应用程序的域。使用此属性可防止未知 JavaScript 代码访问您的应用程序。有关详细信息，请参阅 Java 平台标准版部署指南中的[调用者允许的代码库属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG901)。

*   `入口点`属性用于标识允许用作 RIA 入口点的类。使用此属性可防止未经授权的代码从 JAR 文件中的其他可用入口点运行。有关详细信息，请参阅 Java 平台标准版部署指南中的[入口点属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG902)。

*   `Trusted-Only` 属性用于防止加载不受信任的组件。有关详细信息，请参阅 Java 平台标准版部署指南中的[可信任属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG903)。

*   `Trusted-Library` 属性用于允许特权 Java 代码和沙箱 Java 代码之间的调用，而不会提示用户许可。有关详细信息，请参阅 Java 平台标准版部署指南中的[可信库属性](https://docs.oracle.com/javase/8/docs/technotes/guides/deploy/manifest.html#JSDPG904)。

有关将这些属性添加到清单文件的信息，请参阅[修改清单文件](modman.html)。