# 编译和运行 Swing 程序

> 原文： [https://docs.oracle.com/javase/tutorial/uiswing/start/compile.html](https://docs.oracle.com/javase/tutorial/uiswing/start/compile.html)

本节介绍如何从命令行编译和运行 Swing 应用程序。有关使用 NetBeans IDE 编译和运行 Swing 应用程序的信息，请参见 NetBeans IDE 中的[运行教程示例。编译说明适用于所有 Swing 程序 - 小程序以及应用程序。以下是您需要遵循的步骤：](../../information/examples.html)

*   如果您还没有安装 Java SE 平台的最新版本，请安装它。
*   创建一个使用 Swing 组件的程序。
*   编译程序。
*   运行程序。

## 安装 Java SE 平台的最新版本

您可以从 [http://www.oracle.com/technetwork/java/javase/downloads/index.html](http://www.oracle.com/technetwork/java/javase/downloads/index.html) 免费下载最新版本的 JDK。

 [`HelloWorldSwing.java`](../examples/start/HelloWorldSwingProject/src/start/HelloWorldSwing.java) 。保存此文件时，必须完全匹配其名称的拼写和大小写。

与所有 Swing 教程示例一样，`HelloWorldSwing.java`示例是在包内创建的。如果查看源代码，您会在文件开头看到以下行：

```
package start;

```

这意味着您必须将`HelloWorldSwing.java`文件放在`start`目录中。您可以从`start`目录上的目录编译并运行该示例。来自 _ 使用 Swing 组件 _ 课程的教程示例位于`components`包中，_ 写入事件监听器 _ 课程中的示例位于`events`包中，依此类推。有关更多信息，您可能需要查看 [`Packages`](../../java/package/index.html) 课程。

![Screen shot of HelloWorldSwing application](img/b02d97db03d42ddebf105ec65718fa11.jpg)

## 编译程序

下一步是编译程序。要编译示例，请从 [`HelloWorldSwing.java`](../examples/start/HelloWorldSwingProject/src/start/HelloWorldSwing.java) 文件上方的目录中：

```
javac start/HelloWorldSwing.java

```

如果您愿意，可以在`start`目录中编译示例：

```
javac HelloWorldSwing.java

```

但你必须记住离开`start`目录来执行程序。

如果无法编译，请确保在最新版本的 Java 平台中使用编译器。您可以使用这些命令验证编译器或 Java Runtime Environment（JRE）的版本

```
javac -version
java -version

```

一旦更新了 JDK，您应该能够使用此跟踪中的程序而无需更改。另一个常见错误是安装 JRE 而不是编译这些程序所需的完整 Java Development Kit（JDK）。请参阅[入门](../../getStarted/index.html)跟踪，以帮助您解决遇到的任何编译问题。另一个资源是 [Java™SE 6 桌面技术故障排除指南](http://www.oracle.com/technetwork/java/javase/index-142560.html)。

## 运行程序

成功编译程序后，您可以运行它。从`start`目录上方的目录：

```
java start.HelloWorldSwing

```