# 课程：使用 Swing 组件

> 原文： [https://docs.oracle.com/javase/tutorial/uiswing/components/index.html](https://docs.oracle.com/javase/tutorial/uiswing/components/index.html)

[Examples Index](../examples/components/index.html)

本课程为您提供了使用 Swing 组件所需的背景信息，然后介绍了每个 Swing 组件。它假定您已成功编译并运行使用 Swing 组件的程序，并且您熟悉基本的 Swing 概念。这些先决条件在 [Swing 入门](../start/index.html)和[学习 Swing 与 NetBeans IDE](../learn/index.html) 中有所介绍。

## [使用顶级容器](toplevel.html)

讨论如何使用`JFrame`，`JDialog`和`JApplet`类共享的功能 - 内容窗格，菜单栏和根窗格。它还讨论了 _ 包含层次结构 _，它指的是顶级容器包含的组件树。

## [JComponent 类](jcomponent.html)

告诉您`JComponent`为其子类提供的功能 - 包括几乎所有 Swing 组件 - 并提供有关如何利用这些功能的提示。本节以 API 表结束，该表描述了`JComponent`及其超类`Container`和`Component`定义的常用 API。

## [使用文本组件](text.html)

描述来自`JTextComponent`的所有组件共享的功能和 API。如果您只是使用文本字段（格式化或非格式化）或文本区域，则可能不需要阅读本节。

## [如何...](componentlist.html)

有关如何使用每个 Swing 组件的部分，按字母顺序排列。我们不希望您按顺序阅读这些部分。相反，我们建议您准备好在自己的程序中开始使用 Swing 组件时阅读相关的“如何”部分。例如，如果你的程序需要一个框架，一个标签，一个按钮和一个颜色选择器，你应该阅读[如何制作框架](frame.html)，[如何使用标签](label.html)，[如何使用按钮](button.html)和[如何使用颜色选择器](colorchooser.html)。

## [在 Swing 组件中使用 HTML](html.html)

描述如何使用 HTML 标记更改 Swing 组件显示的文本的字体，颜色或其他格式。

## [使用型号](model.html)

告诉你有关 Swing 模型架构的信息。模型 - 视图 - 控制器（MVC）的这种变化意味着，如果您愿意，您可以指定如何存储和检索 Swing 组件的数据和状态。其优点是能够在组件之间共享数据和状态，并极大地提高组件（如显示大量数据的表）的性能。

## [使用边框](border.html)

边框在组件边缘绘制线条，标题和空白区域非常方便。 （您可能已经注意到此跟踪中的示例使用了大量边框。）本节介绍如何向任何`JComponent`添加边框。

## [使用图标](icon.html)

许多 Swing 组件都可以显示图标。通常，图标被实现为`ImageIcon`类的实例。

## [解决常见组件问题](problems.html)

本节讨论常见组件相关问题的解决方案。

如果您对使用 JavaFX 创建 GUI 感兴趣，请参阅[使用 JavaFX 图表](https://docs.oracle.com/javase/8/javafx/user-interface-tutorial/charts.htm)和[使用 JavaFX UI 控件](https://docs.oracle.com/javase/8/javafx/user-interface-tutorial/ui_controls.htm)。