# 课程：使用其他 Swing 功能

> 原文： [https://docs.oracle.com/javase/tutorial/uiswing/misc/index.html](https://docs.oracle.com/javase/tutorial/uiswing/misc/index.html)

[Examples Index](../examples/misc/index.html)

本课程包含一系列操作方法页面，可帮助您使用其他 Swing 功能。

## [如何与桌面类集成](desktop.html)

使用`Desktop`类，您可以使 Java 应用程序与主机平台上与特定文件类型关联的默认应用程序进行交互。

## [如何创建半透明和异形窗口](trans_shaped_windows.html)

从 Java Platform，Standard Edition 6 Update 10 发行版开始，您可以为 Swing 应用程序添加半透明和整形窗口。本课将向您展示如何。

## [如何用 JLayer](jlayer.html) 装饰组件

`JLayer`是适用于 Swing 组件的灵活且功能强大的 _ 装饰器 _。它使您能够在不修改底层组件的情况下绘制组件并响应组件事件。

## [如何使用行动](action.html)

使用`Action`对象，您可以协调生成操作事件的两个或多个组件的状态和事件处理。例如，您可以使用单个`Action`创建和协调工具栏按钮和执行相同功能的菜单项。

## [如何使用摆动计时器](timer.html)

使用 Swing `Timer`类，您可以实现在延迟后执行操作的线程，并可选择继续重复操作。该操作在事件派发线程中执行。

## [如何支持辅助技术](access.html)

Swing 组件内置了对辅助技术的支持。您的程序可以通过遵循一些规则提供更好的支持。

## [如何使用焦点子系统](focus.html)

某些程序需要操作焦点 - 例如，验证输入或更改组件的 Tab 键顺序。本节介绍了一些可用于在程序中自定义焦点的技术。

## [如何使用键绑定](keybinding.html)

使用键绑定，您可以指定组件对用户键入的响应方式。

## [如何在对话框中使用模态](modality.html)

本节描述了 Java™SE 版本 6 中出现的新模态模型，使您可以将不同的模态类型应用于对话框。

## [如何打印表格](printtable.html)

本节介绍表的打印功能，并说明如何为程序添加打印支持。

## [如何打印文字](printtext.html)

本节介绍文本组件的打印功能，并说明如何为程序添加打印支持。

## [如何创建启动画面](splashscreen.html)

使用`SplashScreen`类，您可以关闭启动画面，更改启动画面图像，获取图像位置或大小，并在启动画面中绘画。

## [如何使用系统托盘](systemtray.html)

本节介绍如何将托盘图标添加到系统托盘并应用文本工具提示，弹出菜单，气球消息以及与之关联的一组侦听器。

## [使用其他摆动功能解决常见问题](problems.html)

本节介绍如何解决在尝试使用本课程中的信息时可能遇到的问题。

如果您对使用 JavaFX 创建 GUI 感兴趣，请参阅[使用 JavaFX 属性和绑定](https://docs.oracle.com/javase/8/javafx/properties-binding-tutorial/binding.htm)，[在 JavaFX 中创建视觉效果](https://docs.oracle.com/javase/8/javafx/visual-effects-tutorial/visual_effects.htm)，[在 JavaFX](https://docs.oracle.com/javase/8/javafx/visual-effects-tutorial/transforms.htm) 和[中应用转换]在 JavaFX](https://docs.oracle.com/javase/8/javafx/visual-effects-tutorial/animations.htm) 中创建过渡和时间轴动画。