# 更改颜色主题

> 原文： [https://docs.oracle.com/javase/tutorial/uiswing/lookandfeel/color.html](https://docs.oracle.com/javase/tutorial/uiswing/lookandfeel/color.html)

Nimbus 外观具有一组默认颜色，但您不需要使用它们。您可以更改颜色以符合您的公司品牌或其他配色方案。

Nimbus 使用的所有颜色都存储为一组`UIManager`属性。在设置外观之前，您可以更改任何或所有这些属性。例如：

```
UIManager.put("nimbusBase", new Color(...));
UIManager.put("nimbusBlueGrey", new Color(...));
UIManager.put("control", new Color(...));

for (LookAndFeelInfo info : UIManager.getInstalledLookAndFeels()) {
    if ("Nimbus".equals(info.getName())) {
        UIManager.setLookAndFeel(info.getClassName());
        break;
    }
}

```

这三种基色`nimbusBase`，`nimbusBlueGrey`和`control`将满足您的大部分需求。在 [Nimbus 默认值](_nimbusDefaults.html#primary)页面上查看颜色键及其默认值的完整列表。