# 接口小结

> 原文： [https://docs.oracle.com/javase/tutorial/collections/interfaces/summary.html](https://docs.oracle.com/javase/tutorial/collections/interfaces/summary.html)

核心集合接口是 Java 集合框架的基础。

Java Collections Framework 层次结构由两个不同的接口树组成：

*   第一个树以`Collection`接口开始，该接口提供所有集合使用的基本功能，例如`add`和`remove`方法。其子接口 - `Set`，`List`和`Queue` - 提供更专业的集合。
*   `Set`接口不允许重复元素。这对于存储诸如一副纸牌或学生记录之类的集合非常有用。 `Set`接口有一个子接口`SortedSet`，用于对集合中的元素进行排序。

*   `List`接口提供有序集合，适用于需要精确控制每个元素插入位置的情况。您可以按`List`的确切位置检索元素。

*   `Queue`接口可以进行额外的插入，提取和检查操作。 `Queue`中的元素通常以 FIFO 为基础进行排序。

*   `Deque`接口可在两端启用插入，删除和检查操作。 `Deque`中的元素可用于 LIFO 和 FIFO。

*   第二个树以`Map`接口开始，该接口映射与`Hashtable`类似的键和值。

*   `Map`的子接口`SortedMap`按升序或`Comparator`指定的顺序维护其键值对。

这些接口允许独立于其表示的细节来操纵集合。