# 日期时间包

> 原文： [https://docs.oracle.com/javase/tutorial/datetime/overview/packages.html](https://docs.oracle.com/javase/tutorial/datetime/overview/packages.html)

Date-Time API 由主包 `java.time` 和四个子包组成：

`java.time`

The core of the API for representing date and time. It includes classes for date, time, date and time combined, time zones, instants, duration, and clocks. These classes are based on the calendar system defined in ISO-8601, and are immutable and thread-safe.

`java.time.chrono`

The API for representing calendar systems other than the default ISO-8601\. You can also define your own calendar system. This tutorial does not cover this package in any detail.

`java.time.format`

Classes for formatting and parsing dates and times.

`java.time.temporal`

Extended API, primarily for framework and library writers, allowing interoperations between the date and time classes, querying, and adjustment. Fields (`TemporalField` and `ChronoField`) and units (`TemporalUnit` and `ChronoUnit`) are defined in this package.

`java.time.zone`

Classes that support time zones, offsets from time zones, and time zone rules. If working with time zones, most developers will need to use only `ZonedDateTime`, and `ZoneId` or `ZoneOffset`.