# 课程：简介

> 原文： [https://docs.oracle.com/javase/tutorial/i18n/intro/index.html](https://docs.oracle.com/javase/tutorial/i18n/intro/index.html)

_ 国际化 _ 是设计应用程序的过程，以便它可以适应各种语言和区域而无需进行工程更改。有时，国际化一词缩写为 i18n，因为第一个“i”和最后一个“n”之间有 18 个字母。

国际化计划具有以下特点：

*   通过添加本地化数据，可以在全球范围内运行相同的可执行文件
*   文本元素（例如状态消息和 GUI 组件标签）在程序中不是硬编码的。相反，它们存储在源代码之外并动态检索。
*   支持新语言不需要重新编译。
*   依赖于文化的数据（如日期和货币）以符合最终用户区域和语言的格式显示。
*   它可以快速本地化。

_ 本地化 _ 是通过添加特定于语言环境的组件和翻译文本来调整特定区域或语言的软件的过程。术语本地化通常缩写为 l10n，因为“l”和“n”之间有 10 个字母。

本地化的主要任务是翻译用户界面元素和文档。本地化不仅涉及改变语言交互，还涉及其他相关更改，如数字显示，日期，货币等。其他类型的数据（如声音和图像）如果具有文化敏感性，则可能需要进行本地化。应用程序的国际化程度越高，就越容易将其本地化为特定的语言和字符编码方案。

起初国际化似乎有点令人生畏。阅读以下部分将有助于您轻松进入主题。

## [快速示例](quick.html)

本节将逐步介绍如何将简单程序国际化。

## [核对清单](checklist.html)

因此，您继承了需要国际化的程序，或者您计划确定新开发软件的要求。你可能不知道从哪里开始？看看这份清单。它总结了必要的国际化任务，并提供了本章相关课程的链接。