# 创建和使用类和对象的小结

> 原文： [https://docs.oracle.com/javase/tutorial/java/javaOO/summaryclasses.html](https://docs.oracle.com/javase/tutorial/java/javaOO/summaryclasses.html)

类声明为类命名，并将类主体括在大括号之间。类名可以在修饰符之后。类主体包含类的字段，方法和构造函数。类使用字段来包含状态信息，并使用方法来实现行为。初始化类的新实例的构造函数使用类的名称，看起来像没有返回类型的方法。

您可以通过相同的方式控制对类和成员的访问：在声明中使用`public`等访问修饰符。

您可以使用成员声明中的`static`关键字指定类变量或类方法。未声明为`static`的成员是隐式实例成员。类变量由类的所有实例共享，可以通过类名和实例引用来访问。类的实例获取每个实例变量的自己的副本，必须通过实例引用访问它们。

您可以使用`new`运算符和构造函数从类创建对象。 new 运算符返回对已创建对象的引用。您可以为变量分配引用或直接使用它。

可以通过使用限定名称来引用在声明它们的类之外的代码可访问的实例变量和方法。实例变量的限定名称如下所示：

```
objectReference.variableName

```

方法的限定名称如下所示：

```
objectReference.methodName(argumentList)

```

要么：

```
objectReference.methodName()

```

垃圾收集器会自动清理未使用的对象。如果程序不再包含对它的引用，则不使用该对象。您可以通过设置保持对`null`的引用的变量来显式删除引用。