# 检测文本边界

> 原文： [https://docs.oracle.com/javase/tutorial/i18n/text/boundaryintro.html](https://docs.oracle.com/javase/tutorial/i18n/text/boundaryintro.html)

操作文本的应用程序需要在文本中定位边界。例如，考虑文字处理器的一些常见功能：突出显示一个字符，剪切一个单词，将光标移动到下一个句子，以及将一个单词包装在一行结尾处。要执行这些功能中的每一个，字处理器必须能够检测文本中的逻辑边界。幸运的是，您不必编写自己的例程来执行边界分析。相反，您可以利用 [`BreakIterator`](https://docs.oracle.com/javase/8/docs/api/java/text/BreakIterator.html) 类提供的方法。

## [关于 BreakIterator 类](about.html)

本节讨论`BreakIterator`类的实例化方法和虚光标。

## [字符边界](char.html)

在本节中，您将了解用户和 Unicode 字符之间的区别，以及如何使用`BreakIterator`查找用户字符。

## [字边界](word.html)

如果您的应用程序需要在文本中选择或定位单词，您会发现使用`BreakIterator`会很有帮助。

## [句子边界](sentence.html)

确定句子边界可能会有问题，因为在许多书面语言中使用句子终止符是模糊的。本节将介绍您可能遇到的一些问题，以及`BreakIterator`如何处理它们。

## [线路边界](line.html)

本节介绍如何使用`BreakIterator`在文本字符串中查找潜在的换行符。