# 路径：2D 图​​形

> 原文： [https://docs.oracle.com/javase/tutorial/2d/index.html](https://docs.oracle.com/javase/tutorial/2d/index.html)

此跟踪向您介绍 Java 2D™API，并向您展示如何在 Java 程序中显示和打印 2D 图形。该路径适用于希望丰富 Java 2D API 知识以及计算机图形初学者的开发人员。几乎每个部分都包含相关示例来说明特定功能。 Java 2D API 使您可以轻松执行以下任务：

*   绘制线条，矩形和任何其他几何形状。
*   用纯色或渐变和纹理填充这些形状。
*   使用选项绘制文本，以便精确控制字体和渲染过程。
*   绘制图像，可选择应用过滤操作。
*   在上述任何渲染操作期间应用合成和变换等操作。

本章还解释了不太熟悉的概念，例如合成。

![This figure represents different graphics capabilities](img/ab6f113705b0de1a82a47b489c340e34.jpg)

_Using 2D Graphics API to display complex charts_

![This figure represents the using of filtering operation](img/7d50c1dc185967990d0b6b051f9b0cd2.jpg)

_Using image-filtering operations_

本章介绍了绘制屏幕和屏幕外图像以及曲面和打印机设备的概念。此跟踪介绍了 Java 2D API 的最常见用法，并简要介绍了一些更高级的功能。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) ** Java 2D 图形 API 概述**](overview/index.html) 介绍了关键的 Java 2D 概念并描述了 Java 2D 渲染模型。本课程比其他课程更具概念性，它使您能够深入了解基本概念和类描述。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **图形入门**](basic2d/index.html) 使用开发的示例向您展示如何获取 Graphics 对象并将其用于常见的图形渲染任务。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **使用几何**](geometry/index.html) 教你如何使用 API​​绘制图形基元和任意形状，以及如何应用花哨的笔触和填充样式。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **使用文本 API **](text/index.html) 向您展示如何有效地使用文本 API，包括如何使用所需属性创建`Font`对象，测量文本以及确定文本名称。您系统上可用的字体。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **使用图像**](images/index.html) 解释了如何创建 BufferedImage 对象，执行图像过滤操作以及在图像上绘图。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **打印**](printing/index.html) 教您如何将 2D 图形渲染到打印机，打印复杂文档以及使用打印服务。

[![Trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) ** Java 2D **](advanced/index.html) 中的高级主题说明了如何执行转换，剪裁绘图区域，合成重叠图形，指定渲染首选项以及控制渲染质量。