# 课程：Java 2D API 概念概述

> 原文： [https://docs.oracle.com/javase/tutorial/2d/overview/index.html](https://docs.oracle.com/javase/tutorial/2d/overview/index.html)

Java 2D API 通过对 Abstract Windowing Toolkit（AWT）的扩展，为 Java 程序提供二维图形，文本和成像功能。这个全面的渲染包在灵活，功能齐全的框架中支持线条艺术，文本和图像，用于开发更丰富的用户界面，复杂的绘图程序和图像编辑器。 Java 2D 对象存在于称为用户坐标空间的平面上，或仅存在于 [_ 用户空间 _](coordinate.html) 中。在屏幕或打印机上渲染对象时，用户空间坐标将转换为 [_ 设备空间坐标 _](coordinate.html) 。以下链接对于开始学习 Java 2D API 非常有用：

*   [`Graphics`](https://docs.oracle.com/javase/8/docs/api/java/awt/Graphics.html) 类
*   [`Graphics2D`](https://docs.oracle.com/javase/8/docs/api/java/awt/Graphics2D.html) 类

Java 2D API 提供以下功能：

*   用于显示设备和打印机的统一渲染模型
*   各种几何图元，如曲线，矩形和椭圆，以及渲染几乎任何几何形状的机制
*   在形状，文本和图像上执行命中检测的机制
*   一种合成模型，用于控制如何呈现重叠对象
*   增强的颜色支持，便于颜色管理
*   支持打印复杂文档
*   通过使用渲染提示控制渲染质量

以下各节将讨论这些主题：

*   [Java 2D 渲染](rendering.html)
*   [几何图元](primitives.html)
*   [正文](text.html)
*   [图片](images.html)
*   [打印](printing.html)