# 课程：使用文本 API

> 原文： [https://docs.oracle.com/javase/tutorial/2d/text/index.html](https://docs.oracle.com/javase/tutorial/2d/text/index.html)

本课程向您介绍使用文本 API 来应用文本呈现功能的概念。已经在这条线索中，您已经使用了基本的 Java 2D 文本 API，并且知道如何设置字体和位置，以及如何绘制文本。

本课程将对该材料进行扩展，以帮助您了解如何使用这些 API 并进一步深入了解 Java 2D 文本显示的功能。

以下各节将讨论这些主题。

[Physical and Logical Fonts](fonts.html)

This section explains how to use the methods of the `Font` class to determine which fonts are available on your system, to create a `Font` object, and obtain information about a font family.

[Measuring Text](measuringtext.html)

This section explains how to properly measure text by using an instance of the `FontMetrics` class.

[Advanced Text Display](advanced.html)

This section explains how to position and render a paragraph of styled text, display antialiased text, use text attributes to style text, and work with bidirectional text.