# 课程：Java2D 中的高级主题

> 原文： [https://docs.oracle.com/javase/tutorial/2d/advanced/index.html](https://docs.oracle.com/javase/tutorial/2d/advanced/index.html)

本课程向您展示如何使用`Graphics2D`显示具有花哨轮廓和填充样式的图形，在渲染时变换图形，将渲染约束到特定区域，以及通常控制渲染时图形的外观。您还将学习如何通过组合简单的对象以及如何检测用户何时单击显示的图形基元来创建复杂的`Shape`对象。以下各节将讨论这些主题：

## [转换形状，文本和图像](transforming.html)

本节介绍如何修改默认转换，以便在渲染对象时对其进行平移，旋转，缩放或剪切。

## [剪切绘图区域](clipping.html)

您可以将任何形状用作 _ 剪切路径 _ - 进行渲染的区域。

## [合成图形](compositing.html)

本节说明了`AlphaComposite`支持的各种合成样式，并向您展示了如何在`Graphics2D`渲染上下文中设置合成样式。

## [控制渲染质量](quality.html)

本节介绍`Graphics2D`支持的渲染提示，并向您展示如何在渲染质量和速度之间进行权衡时指定您的首选项。

## [从几何图元构造复杂形状](complexshapes.html)

本节介绍如何使用`Area`类对`Shape`对象执行布尔运算。

## [支持用户互动](user.html)

本节介绍如何对图形基元执行命中检测。