# 课程：JDBC 基础知识

> 原文： [https://docs.oracle.com/javase/tutorial/jdbc/basics/index.html](https://docs.oracle.com/javase/tutorial/jdbc/basics/index.html)

在本课程中，您将学习 JDBC API 的基础知识。

*   [入门](gettingstarted.html)设置了一个基本的数据库开发环境，并向您展示了如何编译和运行 JDBC 教程示例。

*   [使用 JDBC 处理 SQL 语句](processingsqlstatements.html)概述了处理任何 SQL 语句所需的步骤。以下页面更详细地描述了这些步骤：

    *   [建立连接](connecting.html)将您连接到数据库。

    *   [与 DataSource 对象连接](sqldatasources.html)向您展示如何使用`DataSource`对象连接数据库，这是获取数据源连接的首选方式。

    *   [处理 SQLExceptions](sqlexception.html) 向您展示如何处理由数据库错误引起的异常。

    *   [设置表](tables.html)描述了 JDBC 教程示例中使用的所有数据库表，以及如何使用 JDBC API 和 SQL 脚本创建和填充表。

    *   [从结果集中检索和修改值](retrieving.html)开发配置数据库，发送查询和从数据库中检索数据的过程。

    *   [使用准备语句](prepared.html)描述了一种更灵活的方法来创建数据库查询。

    *   [使用事务](transactions.html)向您展示如何控制实际执行数据库查询的时间。

*   [使用 RowSet 对象](rowset.html)向您介绍`RowSet`对象;这些对象以一种方式保存表格数据，使其比结果集更灵活，更易于使用。以下页面描述了可用的不同类型的`RowSet`对象：

    *   [使用 JdbcRowSet 对象](jdbcrowset.html)

    *   [使用 CachedRowSetObjets](cachedrowset.html)

    *   [使用 JoinRowSet 对象](joinrowset.html)

    *   [使用 FilteredRowSet 对象](filteredrowset.html)

    *   [使用 WebRowSet 对象](webrowset.html)

*   [使用高级数据类型](sqltypes.html)向您介绍其他数据类型;以下页面更详细地描述了这些数据类型：

    *   [使用大型物体](blob.html)

    *   [使用 SQLXML 对象](sqlxml.html)

    *   [使用数组对象](array.html)

    *   [使用 DISTINCT 数据类型](distinct.html)

    *   [使用结构化对象](sqlstructured.html)

    *   [使用自定义类型映射](sqlcustommapping.html)

    *   [使用数据链接对象](sqldatalink.html)

    *   [使用 RowId 对象](sqlrowid.html)

*   [使用存储过程](storedprocedures.html)向您展示如何创建和使用存储过程，存储过程是一组可以像具有可变输入和输出参数的 Java 方法一样调用的 SQL 语句。

*   [将 JDBC 与 GUI API 一起使用](jdbcswing.html)演示了如何将 JDBC 与 Swing API 集成。