# 课程：JMX 技术概述

> 原文： [https://docs.oracle.com/javase/tutorial/jmx/overview/index.html](https://docs.oracle.com/javase/tutorial/jmx/overview/index.html)

Java Management Extensions（JMX）技术是 Java 平台标准版（Java SE 平台）的标准部分。 JMX 技术已添加到 Java 2 平台标准版（J2SE）5.0 版本的平台中。

JMX 技术提供了一种简单，标准的方式来管理应用程序，设备和服务等资源。由于 JMX 技术是动态的，因此您可以使用它来监视和管理资源的创建，安装和实现。您还可以使用 JMX 技术来监视和管理 Java 虚拟机（Java VM）。

JMX 规范定义了 Java 编程语言中的体系结构，设计模式，API 和服务，用于管理和监视应用程序和网络。

使用 JMX 技术，给定资源由一个或多个 Java 对象（称为 _Managed Beans_ 或 _MBeans_ ）进行检测。这些 MBean 在核心管理的对象服务器中注册，称为 _MBean 服务器 _。 MBean 服务器充当管理代理程序，可以在大多数已为 Java 编程语言启用的设备上运行。

规范定义了用于管理已正确配置以进行管理的任何资源的 JMX 代理。 JMX 代理由 MBean 服务器和一组用于处理 MBean 的服务组成，MBean 服务器中注册了 MBean。通过这种方式，JMX 代理可以直接控制资源并使其可用于远程管理应用程序。

检测资源的方式完全独立于管理基础结构。因此，无论管理应用程序如何实现，都可以使资源易于管理。

JMX 技术定义了标准连接器（称为 JMX 连接器），使您可以从远程管理应用程序访问 JMX 代理。使用不同协议的 JMX 连接器提供相同的管理接口。因此，无论使用何种通信协议，管理应用程序都可以透明地管理资源。只要这些系统或应用程序支持 JMX 代理，JMX 代理也可以由不符合 JMX 规范的系统或应用程序使用。