# 小径：RMI

> 原文： [https://docs.oracle.com/javase/tutorial/rmi/index.html](https://docs.oracle.com/javase/tutorial/rmi/index.html)

Java 远程方法调用（RMI）系统允许在一个 Java 虚拟机中运行的对象调用在另一个 Java 虚拟机中运行的对象上的方法。 RMI 提供了用 Java 编程语言编写的程序之间的远程通信。

* * *

**Note:** If you are connecting to an existing IDL program, you should use Java IDL rather than RMI.

* * *

此跟踪提供了 RMI 系统的简要概述，然后介绍了一个完整的客户端/服务器示例，该示例使用 RMI 的独特功能在运行时加载和执行用户定义的任务。示例中的服务器实现了一个通用计算引擎，客户端使用它来计算![the pi symbol](img/18da0a76f9e973138bc9428740982fff.jpg)的值。

[![trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) ** RMI 应用概述**](overview.html) 描述了 RMI 系统并列出了它的优点。此外，本节还介绍了由服务器和客户端组成的典型 RMI 应用程序，并介绍了重要的术语。

[![trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **编写 RMI 服务器**](server.html) 遍历计算引擎服务器的代码。本节将教您如何设计和实现 RMI 服务器。

[![trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **创建客户端程序**](client.html) 查看一个可能的计算引擎客户端，并使用它来说明 RMI 客户端的重要功能。

[![trail icon](img/0689397fa9cc4e369d63fc92b3bb6f38.jpg) **编译并运行示例**](example.html) 向您展示如何编译和运行计算引擎服务器及其客户端。