# 课程：交换文件

> 原文： [https://docs.oracle.com/javase/tutorial/security/toolfilex/index.html](https://docs.oracle.com/javase/tutorial/security/toolfilex/index.html)

如果您想以电子方式将重要文件（如合同）发送给其他人，最好以数字方式“签署”该文件，这样您的收件人就可以检查该文件是否确实来自您并且在运输过程中未被更改。

本课程向您介绍如何使用安全工具交换重要文档，在本例中为合同。

你首先假装你是合同发件人斯坦史密斯。本课程介绍了 Stan 用于将合同放入 JAR 文件，对其进行签名以及导出与用于签署 JAR 文件的私钥对应的公钥的公钥证书的步骤。

然后你假装你是 Ruth，他已经收到了签名的 JAR 文件和证书。您将使用`keytool`将证书导入到`stan`别名的条目中的 Ruth 密钥库中，并使用`jarsigner`工具验证签名。

有关数字签名，证书，密钥库和工具的详细信息，请参阅 [API 和用于安全代码和文件交换的工具](../sigcert/index.html)课程。

* * *

**Note:** This lesson assumes that you execute all commands from within the same directory.

* * *

以下是步骤：

*   [合同发件人](sender.html)的步骤
*   [合同接收人的步骤](receiver.html)