# HighScorePermission 类

> 原文： [https://docs.oracle.com/javase/tutorial/security/userperm/perm.html](https://docs.oracle.com/javase/tutorial/security/userperm/perm.html)

`HighScorePermission`类定义`ExampleGame`更新用户高分所需的权限。

所有权限类都应该从`java.security.Permission`或`java.security.BasicPermission`继承。两者之间的基本区别是`java.security.Permission`定义了更复杂的权限，需要名称和操作。例如，`java.io.FilePermission`从`java.security.Permission`扩展，并且需要名称（文件名），以及该文件允许的操作（读/写/删除）。

相反，`java.security.BasicPermission`定义了只需要名称的更简单的权限。例如，`java.lang.RuntimePermission`从`java.security.BasicPermission`扩展而只需要一个名称（如“exitVM”），它允许程序退出 Java 虚拟机。

我们的`HighScorePermission`是一个简单的许可，因此可以从`java.security.BasicPermission`扩展。

通常，`BasicPermission`类本身的方法实现不需要被其子类覆盖。我们的`HighScorePermission`就是这种情况，所以我们需要实现的只是构造函数，它只调用超类构造函数，如 [`following`](examples/com/scoredev/scores/HighScorePermission.java) 所示：

```
package com.scoredev.scores;

import java.security.*;

public final class HighScorePermission extends BasicPermission {

    public HighScorePermission(String name)
    {
	super(name);
    }

    // note that actions is ignored and not used,
    // but this constructor is still needed
    public HighScorePermission(String name, String actions) 
    {
	super(name, actions);
    }
}

```