# HighScore Developer（Chris）的步骤

> 原文： [https://docs.oracle.com/javase/tutorial/security/userperm/chris.html](https://docs.oracle.com/javase/tutorial/security/userperm/chris.html)

在创建`HighScore`和`HighScorePermission`类之后，Chris 将采取以下步骤：

## 编译类

```
javac HighScore*.java -d .

```

## 将类文件放在 JAR 文件中

```
jar cvf hs.jar com/scoredev/scores/HighScore*.class

```

## 创建用于签名的密钥库和密钥

```
keytool -genkey -keystore chris.keystore -alias signJars

```

为密码和专有名称信息指定所需的任何内容。

## 签署 JAR 文件

```
jarsigner -keystore chris.keystore hs.jar signJars

```

## 导出公钥证书

```
keytool -export -keystore chris.keystore
    -alias signJars -file Chris.cer

```

## 提供游戏开发者和用户所需的文件和信息

也就是说，供应他们

*   签名的 JAR 文件`hs.jar`，
*   公钥证书文件`Chris.cer`，和
*   关于权限的信息必须在策略文件中授予`HighScore`和`HighScorePermission`类才能工作。为此，Chris 可以提供所需的确切授权条目。