# 用户运行 ExampleGame（Kim）的步骤

> 原文： [https://docs.oracle.com/javase/tutorial/security/userperm/kim.html](https://docs.oracle.com/javase/tutorial/security/userperm/kim.html)

用户（例如 Kim）将采取的步骤是：

## 将证书导入为可信证书

```
keytool -import -alias chris -file Chris.cer -keystore kim.keystore
keytool -import -alias terry -file Terry.cer -keystore kim.keystore

```

## 设置具有所需权限的策略文件

这是完整的 [`kim.policy`](examples/kim.policy) 策略文件，如[示例策略文件](policy.html)中所述。

## 运行 ExampleGame

设置高分：

```
java -Djava.security.manager 
    -Djava.security.policy=kim.policy
    -classpath hs.jar;terry.jar
    com.gamedev.games.ExampleGame set 456

```

获得高分：

```
java -Djava.security.manager
    -Djava.security.policy=kim.policy
    -classpath hs.jar;terry.jar
    com.gamedev.games.ExampleGame get

```

笔记：

*   如果未指定`-Djava.security.manager`，则应用程序将不受限制地运行（不会检查策略文件和权限）。
*   `-Djava.security.policy=kim.policy`告诉策略文件的位置。注意：还有其他指定策略文件的方法。例如，您可以在安全属性文件中添加一个条目，指定包含`kim.policy`，如[末尾所述，请参阅策略文件效果](../tour2/step4.html)课程。
*   `-classpath hs.jar;terry.jar`指定包含所需类文件的 JAR 文件。对于 Windows，使用分号（“;”）分隔 JAR 文件;对于 UNIX，请使用冒号（“：”）。
*   策略文件`kim.policy`指定密钥库`kim.keystore`。由于它不提供密钥库的绝对 URL 位置，因此假定密钥库与策略文件位于同一目录中。