# 路径：扩展机制

> 原文： [https://docs.oracle.com/javase/tutorial/ext/index.html](https://docs.oracle.com/javase/tutorial/ext/index.html)

扩展机制提供了一种标准的，可扩展的方式，使 Java 平台上运行的所有应用程序都可以使用自定义 API。 _Java 扩展 _ 也称为 _ 可选包 _。该路径可以互换使用这两个术语。

_Extensions_ 是一组包和类，通过扩展机制扩充 Java 平台。扩展机制使运行时环境能够查找和加载扩展类，而不必在类路径上指定扩展类。在这方面，扩展类类似于 Java 平台的核心类。这也是扩展获得名称的地方 - 实际上，它们扩展了平台的核心 API。

由于此机制扩展了平台的核心 API，因此应明智地应用它。最常见的是它用于良好的标准化接口，例如 Java Community Process 定义的接口，尽管它也可能适用于站点范围的接口。

![This figure shows the relationships between Application, Java Platform, and Extensions.](img/2cca8984c05f1e9af28bedbfc63e4343.jpg)

如图所示，扩展充当 Java 平台的“附加”模块。他们的类和公共 API 可自动用于平台上运行的任何应用程序。

扩展机制还提供了一种从远程位置下载扩展类以供 applet 使用的方法。

扩展捆绑为 Java Archive（JAR）文件，此跟踪假定您熟悉 JAR 文件格式。如果您没有掌握 JAR 文件的速度，可能需要先查看一些 JAR 文件文档，然后再继续学习该课程：

*   本教程中 JAR 文件课程中的[打包程序。](../deployment/jar/index.html)
*   JDK™文档中的 [JAR 指南](https://docs.oracle.com/javase/8/docs/technotes/guides/jar/jarGuide.html)。

这条路有两个课：

## [创建和使用扩展](./basics/index.html)

本节向您展示了向 Java 平台添加扩展以及如何通过下载远程扩展类从扩展机制中受益的小程序所需执行的操作。

## [确保扩展安全](./security/index.html)

本节介绍授予平台上的扩展的安全权限和权限。如果您正在编写自己的扩展类，您将看到如何使用 Java 平台的安全体系结构。

## 其他文件

您可以在 JDK 文档的 [Java 扩展机制](https://docs.oracle.com/javase/8/docs/technotes/guides/extensions/)部分中找到有关扩展的更多信息。