# 课程：安全扩展

> 原文： [https://docs.oracle.com/javase/tutorial/ext/security/index.html](https://docs.oracle.com/javase/tutorial/ext/security/index.html)

现在您已经了解了如何使用扩展，您可能想知道扩展具有哪些安全权限。例如，如果要开发执行文件 I / O 的扩展，则需要知道如何为扩展授予读取和写入文件的相应权限。相反，如果您正在考虑使用其他人开发的扩展程序，您将希望清楚地了解扩展程序具有哪些安全权限以及如何在您希望的情况下更改这些权限。

本课程向您展示 Java™平台的安全架构如何处理扩展。您将看到如何分辨授予扩展软件的权限，并通过以下一些简单步骤学习如何修改扩展权限。此外，您将学习如何在扩展中密封包以限制对代码的指定部分的访问。

本课有两个部分：

## [设置扩展权限](policy.html)

本节包含一些示例，说明必须满足哪些条件才能授予扩展权限以执行安全敏感操作。

## [扩展中的密封包](sealing.html)

您可以选择将扩展 JAR 文件中的包密封为额外的安全措施。如果包是密封的，则意味着该包中定义的所有类必须来自单个 JAR 文件。本节介绍如何修改扩展的清单以密封扩展包。

## 其他文件

您将在本课程的适当位置找到相关安全文档的链接和参考。

有关安全性的完整信息，请参阅以下内容：

*   [Java SE](../../security/index.html) 中的安全功能跟踪（在本教程中）
*   [安全指南](https://docs.oracle.com/javase/8/docs/technotes/guides/security/)