# 路径：自定义网络

> 原文： [https://docs.oracle.com/javase/tutorial/networking/index.html](https://docs.oracle.com/javase/tutorial/networking/index.html)

Java 平台受到高度重视，部分原因在于它适用于编写使用 Internet 和万维网上的资源并与之交互的程序。实际上，Java 兼容的浏览器使用 Java 平台的这种能力来极端地通过 Internet 传输和运行 applet。

这条线索将向您介绍编写可在 Internet 上使用的 Java 应用程序和 applet 的复杂性。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) **网络概述**](overview/index.html) 有两个部分。第一部分描述了您可能已经使用的 Java 平台的网络功能，而没有意识到您正在使用网络。第二部分简要介绍了网络，以便在阅读如何使用 URL，套接字和数据报之前熟悉您应该了解的术语和概念。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) **使用 URL **](urls/index.html) 讨论了 Java 程序如何使用 URL 访问 Internet 上的信息。 URL（统一资源定位符）是 Internet 上资源的地址。您的 Java 程序可以使用 URL 连接到网络并通过网络检索信息。本课程提供了更完整的 URL 定义，并向您展示了如何创建和解析 URL，如何打开与 URL 的连接以及如何读取和写入该连接。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) ** All About Sockets **](sockets/index.html) 解释了如何使用套接字，以便您的程序可以与网络上的其他程序通信。套接字是网络上运行的两个程序之间的双向通信链路的一个端点。本课程向您展示客户端如何连接到标准服务器，Echo 服务器以及如何通过套接字与其通信。然后，它将向您介绍完整客户端/服务器示例的详细信息，该示例向您展示如何实现客户端/服务器对的客户端和服务器端。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) ** All About Datagrams **](datagrams/index.html) 带您逐步完成使用数据报进行通信的简单客户端/服务器示例。然后，它会挑战您使用多播套接字重写示例。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) **编程访问网络参数**](nifs/index.html) 解释了为什么您可能想要访问网络接口参数以及如何访问它们。它给出了如何列出分配给机器的所有 IP 地址以及其他有用信息（如接口是否正在运行）的示例。

[![Trail icon](img/b929e6c2f9f6c31f7b36a0212d7f1fef.jpg) **使用 Cookies **](cookies/index.html) 讨论如何使用 cookie 在客户端和服务器之间创建会话，以及如何利用 HTTP URL 连接中的 cookie。

* * *

**Security considerations:** 

请注意，通过网络进行的通信需要获得当前安全管理员的批准。 [安全管理器](../essential/environment/security.html)描述了安全管理器是什么以及它如何影响您的应用程序。有关 JDK 提供的安全功能的一般信息，请参阅 Java SE 中的[安全功能。](../security/index.html)

以下课程中包含 URL，套接字和数据报的示例程序是独立应用程序，默认情况下，它们没有安全管理器。如果将这些应用程序转换为 applet，它们可能无法通过网络进行通信，具体取决于运行它们的浏览器或查看器。有关 applet 上的安全限制的信息，请参阅 [Applet 可以做什么和不能做什么](../deployment/applet/security.html)。

* * *