# 你可能已经知道的 Java 中的网络

> 原文： [https://docs.oracle.com/javase/tutorial/networking/overview/alreadyknow.html](https://docs.oracle.com/javase/tutorial/networking/overview/alreadyknow.html)

_ 网络 _ 这个词在许多程序员的心中引起了恐惧。不要害怕！使用 Java 环境中提供的网络功能非常简单。事实上，您可能已经使用网络甚至没有意识到它！

## 从网络加载小程序

如果您可以访问支持 Java 的浏览器，那么毫无疑问您已经执行了许多小程序。您运行的小程序由 HTML 文件中的特殊标记引用 - `&lt;APPLET&gt;`标记。小程序可以位于任何位置，无论是在本地计算机上还是在 Internet 上的某个位置。 applet 的位置对用户来说是完全不可见的。但是，applet 的位置在`&lt;APPLET&gt;`标记内编码。浏览器解码此信息，找到 applet 并运行它。如果 applet 位于您自己以外的某台计算机上，则浏览器必须先下载该 applet 才能运行。

这是您从 Java 开发环境访问 Internet 的最高级别。其他人花时间编写了一个浏览器，可以完成连接到网络和从中获取数据的所有繁琐工作，从而使您可以从世界上任何地方运行 applet。

**欲了解更多信息：**
[“Hello World！”应用程序](../../getStarted/cupojava/index.html)向您展示如何编写第一个小程序并运行它。

[Java Applets](../../deployment/applet/index.html) 跟踪描述了如何从 A 到 Z 编写 Java 小程序。

## 从 URL 加载图像

如果你已经冒险编写自己的 Java applet 和应用程序，你可能会遇到名为 URL 的 java.net 包中的一个类。此类表示统一资源定位符，是网络上某些资源的地址。您的 applet 和应用程序可以使用 URL 来引用甚至连接到网络上的资源。例如，要从网络加载图像，Java 程序必须首先创建一个包含图像地址的 URL。

这是您可以与 Internet 进行的下一个最高级别的交互 - 您的 Java 程序获取所需内容的地址，为其创建 URL，然后使用 Java 开发环境中的一些现有功能来完成连接的繁重工作到网络并检索资源。

**更多信息：**
[如何使用图标](../../uiswing/components/icon.html)向您展示如何在拥有 URL 时将图像加载到 Java 程序（无论是小程序还是应用程序）。在加载映像之前，必须创建一个 URL 对象，其中包含资源的地址。

[使用 URL](../urls/index.html) ，这条路径的下一课，提供了有关 URL 的完整讨论，包括程序如何连接到它们以及读取和写入该连接。