# 课程：使用 URL

> 原文： [https://docs.oracle.com/javase/tutorial/networking/urls/index.html](https://docs.oracle.com/javase/tutorial/networking/urls/index.html)

URL 是统一资源定位器的首字母缩写。它是 Internet 上资源的引用（地址）。您提供您喜欢的 Web 浏览器的 URL，以便它可以像您在字母上提供地址一样在 Internet 上查找文件，以便邮局可以找到您的联系人。

与 Internet 交互的 Java 程序也可以使用 URL 来查找他们希望访问的 Internet 上的资源。 Java 程序可以使用`java.net`包中名为 [`URL`](https://docs.oracle.com/javase/8/docs/api/java/net/URL.html) 的类来表示 URL 地址。

* * *

**Terminology Note:** 

术语 _URL_ 可能不明确。它可以引用 Java 程序中的 Internet 地址或`URL`对象。在 URL 的含义需要特定的情况下，本文使用“URL 地址”表示 Internet 地址，“`URL`对象”表示程序中`URL`类的实例。

* * *

## [什么是网址？](definition.html)

URL 采用字符串的形式，描述如何在 Internet 上查找资源。 URL 有两个主要组件：访问资源所需的协议和资源的位置。

## [创建网址](creatingUrls.html)

在 Java 程序中，您可以创建表示 URL 地址的 URL 对象。 URL 对象始终引用绝对 URL，但可以从绝对 URL，相对 URL 或 URL 组件构造。

## [解析 URL](urlInfo.html)

解析 URL 以查找主机名，文件名和其他信息的日子已经一去不复返了。使用有效的 URL 对象，您可以调用其任何访问器方法，以从 URL 获取所有这些信息，而无需进行任何字符串解析！

## [直接从网址](readingURL.html)阅读

本节介绍 Java 程序如何使用`openStream()`方法从 URL 读取。

## [连接到 URL](connecting.html)

如果您想做的不仅仅是从 URL 读取，您可以通过调用 URL 上的`openConnection()`连接到它。 `openConnection()`方法返回一个 URLConnection 对象，您可以将该对象用于与 URL 进行更一般的通信，例如从中读取，写入，或查询内容和其他信息。

## [读取和写入 URLConnection](readingWriting.html)

某些 URL（例如许多连接到 cgi-bin 脚本的 URL）允许您（甚至要求您）将信息写入 URL。例如，搜索脚本可能需要在执行搜索之前将详细的查询数据写入 URL。本节介绍如何写入 URL 以及如何获取结果。