# 连接到 URL

> 原文： [https://docs.oracle.com/javase/tutorial/networking/urls/connecting.html](https://docs.oracle.com/javase/tutorial/networking/urls/connecting.html)

成功创建`URL`对象后，可以调用`URL`对象的`openConnection`方法来获取`URLConnection`对象，或者其协议特定的子类之一，例如 [`java.net.HttpURLConnection`](https://docs.oracle.com/javase/8/docs/api/java/net/HttpURLConnection.html)

您可以使用此`URLConnection`对象设置连接前可能需要的参数和常规请求属性。只有在调用`URLConnection.connect`方法时，才会启动与 URL 表示的远程对象的连接。执行此操作时，您将初始化 Java 程序与网络上的 URL 之间的通信链接。例如，以下代码打开与站点`example.com`的连接：

```
try {
    URL myURL = new URL("http://example.com/");
    URLConnection myURLConnection = myURL.openConnection();
    myURLConnection.connect();
} 
catch (MalformedURLException e) { 
    // new URL() failed
    // ...
} 
catch (IOException e) {   
    // openConnection() failed
    // ...
}

```

每次通过调用此 URL 的协议处理程序的`openConnection`方法创建新的`URLConnection`对象。

您并不总是需要显式调用`connect`方法来启动连接。如果需要，依赖于连接的操作（如`getInputStream`，`getOutputStream`等）将隐式执行连接。

现在您已成功连接到 URL，您可以使用`URLConnection`对象执行读取或写入连接等操作。下一节将向您展示如何。