# 课程：使用 Cookie

> 原文： [https://docs.oracle.com/javase/tutorial/networking/cookies/index.html](https://docs.oracle.com/javase/tutorial/networking/cookies/index.html)

虽然您可能已经熟悉了 cookie，但您可能不知道如何在 Java 应用程序中利用它们。本课程将指导您完成 Cookie 的概念，并说明如何设置 Cookie 处理程序，以便您的 HTTP URL 连接将使用它。

Java SE 为此功能提供了一个主类， [`java.net.CookieHandler`](https://docs.oracle.com/javase/8/docs/api/java/net/CookieHandler.html) ，以及以下支持类和接口： [`java.net.CookieManager`](https://docs.oracle.com/javase/8/docs/api/java/net/CookieManager.html) ， [`java.net.CookiePolicy`](https://docs.oracle.com/javase/8/docs/api/java/net/CookiePolicy.html) ， [`java.net.CookieStore`](https://docs.oracle.com/javase/8/docs/api/java/net/CookieStore.html) 和 [`java.net.HttpCookie`](https://docs.oracle.com/javase/8/docs/api/java/net/HttpCookie.html) 。

## [使用 Cookie 进行 HTTP 状态管理](definition.html)

此页面描述了 cookie 并说明了它们如何用于提供会话。

## [CookieHandler 回调机制](cookiehandler.html)

此页面说明了访问网站时如何调用 cookie 处理程序以及如何设置 cookie 处理程序。

## [默认 CookieManager](cookiemanager.html)

Java SE 提供了一个默认的 cookie 处理程序实现，在大多数情况下都足够并且可以高度自定义。

## [自定义 CookieManager](custom.html)

以下是一些如何自定义 cookie 策略并编写自己的 cookie 存储库的示例。