# 使用 Cookie 进行 HTTP 状态管理

> 原文： [https://docs.oracle.com/javase/tutorial/networking/cookies/definition.html](https://docs.oracle.com/javase/tutorial/networking/cookies/definition.html)

HTTP 状态管理机制指定了使用 HTTP 请求和响应创建有状态会话的方法。

通常，HTTP 请求/响应对彼此独立。但是，状态管理机制允许可以交换状态信息的客户端和服务器将这些对放在更大的上下文中，这称为 _ 会话 _。用于创建和维护会话的状态信息称为 _cookie_ 。

Cookie 是可以存储在浏览器缓存中的一段数据。如果您访问网站然后重新访问该网站，则可以使用 cookie 数据将您识别为回访者。 Cookie 可以记住状态信息，例如在线购物车。 Cookie 可以是短期的，保存单个网络会话的数据，也就是说，直到您关闭浏览器，或者 cookie 可以是更长期的，持有一周或一年的数据。

有关 HTTP 状态管理的更多信息，请参阅 [RFC 2965：HTTP 状态管理机制](http://www.ietf.org/rfc/rfc2965.txt)。