# Java 应用程序设置

> 原文： [https://docs.oracle.com/javase/tutorial/jndi/software/package.html](https://docs.oracle.com/javase/tutorial/jndi/software/package.html)

要在程序中使用 JNDI，需要设置其编译和执行环境。

## 导入 JNDI 类

以下是 JNDI 包：

*   [`javax.naming`](https://docs.oracle.com/javase/8/docs/api/javax/naming/package-summary.html)
*   [`javax.naming.directory`](https://docs.oracle.com/javase/8/docs/api/javax/naming/directory/package-summary.html)
*   [`javax.naming.event`](https://docs.oracle.com/javase/8/docs/api/javax/naming/event/package-summary.html)
*   [`javax.naming.ldap`](https://docs.oracle.com/javase/8/docs/api/javax/naming/ldap/package-summary.html)
*   [`javax.naming.spi`](https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/package-summary.html)

此跟踪中的示例使用前两个包中的类和接口。您需要将这两个包导入您的程序或导入您使用的各个类和接口。以下两行从两个包 `javax.naming` 和 `javax.naming.directory` 导入所有类和接口。

```
import javax.naming.*;
import javax.naming.directory.*;

```

## 编译环境

要编译使用 JNDI 的程序，您需要访问 JNDI 类。  已包含 JNDI 类，因此如果您正在使用它，则无需采取进一步操作。

## 执行环境

要运行使用 JNDI 的程序，您需要访问程序使用的任何服务提供程序的 JNDI 类和类。  已经包含用于 LDAP，COS 命名，RMI 注册表和 DNS 的 JNDI 类和服务提供程序。

如果您正在使用其他服务提供商，则需要在 _JAVA_HOME_ `/ jre / lib / ext` 目录中下载并安装其存档文件，其中 _JAVA_HOME_ 是包含 JRE 的目录。 [JNDI 页面](http://www.oracle.com/technetwork/java/jndi/index.html#download)列出了一些服务提供商。您可以下载这些提供商或使用其他供应商的提供商。